<?xml version="1.0" encoding="UTF-8"?>
<!--
// Copyright (C) 2022 The Qt Company Ltd.
// SPDX-License-Identifier: LicenseRef-Qt-Commercial
-->
<typesystem package="PySide6.QtOpcUa">
    <load-typesystem name="QtCore/typesystem_core.xml" generate="no"/>
    <load-typesystem name="QtNetwork/typesystem_network.xml" generate="no"/>
    <namespace-type name="QOpcUa">
        <modify-function signature="nodeIdStringSplit(const QString&amp;,quint16*,QString*,char*)" remove="all"/>
        <enum-type name="NodeClass" flags="NodeClasses"/>
        <enum-type name="NodeAttribute" flags="NodeAttributes"/>
        <enum-type name="WriteMaskBit" flags="WriteMask"/>
        <enum-type name="AccessLevelBit" flags="AccessLevel"/>
        <enum-type name="EventNotifierBit" flags="EventNotifier"/>
        <enum-type name="ReferenceTypeId"/>
        <enum-type name="ErrorCategory"/>
        <enum-type name="AxisScale"/>
        <enum-type name="Types"/>
        <enum-type name="UaStatusCode"/>
        <namespace-type name="NodeIds">
            <enum-type name="Namespace0"/>
        </namespace-type>
    </namespace-type>
    <value-type name="QOpcUaAddNodeItem"/>
    <value-type name="QOpcUaAddReferenceItem"/>
    <value-type name="QOpcUaApplicationDescription">
        <enum-type name="ApplicationType"/>
    </value-type>
    <value-type name="QOpcUaApplicationIdentity"/>
    <value-type name="QOpcUaArgument"/>
    <value-type name="QOpcUaAttributeOperand"/>
    <value-type name="QOpcUaAuthenticationInformation"/>
    <value-type name="QOpcUaAxisInformation"/>
    <value-type name="QOpcUaBinaryDataEncoding"/>
    <value-type name="QOpcUaBrowsePathTarget"/>
    <value-type name="QOpcUaBrowseRequest">
        <enum-type name="BrowseDirection"/>
    </value-type>
    <object-type name="QOpcUaClient">
        <enum-type name="ClientState"/>
        <enum-type name="ClientError"/>
    </object-type>
    <value-type name="QOpcUaComplexNumber"/>
    <value-type name="QOpcUaContentFilterElement">
        <enum-type name="FilterOperator"/>
    </value-type>
    <value-type name="QOpcUaContentFilterElementResult"/>
    <value-type name="QOpcUaDataValue" since="6.3"/>
    <value-type name="QOpcUaDeleteReferenceItem"/>
    <value-type name="QOpcUaDoubleComplexNumber"/>
    <value-type name="QOpcUaElementOperand"/>
    <value-type name="QOpcUaEndpointDescription">
        <enum-type name="MessageSecurityMode"/>
    </value-type>
    <value-type name="QOpcUaErrorState">
        <enum-type name="ConnectionStep"/>
    </value-type>
    <value-type name="QOpcUaEUInformation"/>
    <value-type name="QOpcUaEventFilterResult"/>
    <value-type name="QOpcUaExpandedNodeId"/>
    <value-type name="QOpcUaExtensionObject">
        <enum-type name="Encoding"/>
    </value-type>
    <object-type name="QOpcUaHistoryData" since="6.3"/>
    <value-type name="QOpcUaHistoryReadRawRequest" since="6.3"/>
    <object-type name="QOpcUaHistoryReadResponse" since="6.3">
        <enum-type name="State"/>
    </object-type>
    <value-type name="QOpcUaLiteralOperand"/>
    <value-type name="QOpcUaLocalizedText"/>
    <value-type name="QOpcUaMonitoringParameters"> <!-- nested! -->
        <enum-type name="MonitoringMode"/>
        <enum-type name="SubscriptionType"/>
        <enum-type name="Parameter" flags="Parameters"/>
        <value-type name="DataChangeFilter">
            <enum-type name="DataChangeTrigger"/>
            <enum-type name="DeadbandType"/>
        </value-type>
        <value-type name="EventFilter"/>
    </value-type>
    <value-type name="QOpcUaMultiDimensionalArray"/>
    <object-type name="QOpcUaNode">
        <modify-function signature="readAttributes(QFlags&lt;QOpcUa::NodeAttribute&gt;)">
            <modify-argument index="1">
                <replace-default-expression with="QOpcUaNode::mandatoryBaseAttributes()"/>
            </modify-argument>
        </modify-function>
    </object-type>
    <value-type name="QOpcUaNodeCreationAttributes"/>
    <value-type name="QOpcUaPkiConfiguration"/>
    <object-type name="QOpcUaProvider"/>
    <value-type name="QOpcUaQualifiedName"/>
    <value-type name="QOpcUaRange"/>
    <value-type name="QOpcUaReadItem"/>
    <object-type name="QOpcUaReadResult"/>
    <value-type name="QOpcUaReferenceDescription"/>
    <value-type name="QOpcUaRelativePathElement"/>
    <value-type name="QOpcUaSimpleAttributeOperand"/>
    <value-type name="QOpcUaUserTokenPolicy">
        <enum-type name="TokenType"/>
    </value-type>
    <value-type name="QOpcUaWriteItem"/>
    <object-type name="QOpcUaWriteResult"/>
    <value-type name="QOpcUaXValue"/>
</typesystem>
